@import 'partials/normalize';
@import 'partials/variables';
@import 'partials/resets';
@import 'partials/helpers';
@import 'partials/print';

@import 'modules/modules';
@import 'plugins/vue-slick';

html {
	font: 400 14px $base_font_family;
	line-height: $base_line_height;

	@media #{$medium} {
		font-size: $base_font_size;
	}
}

body {
	// text-decoration-skip: ink;
	text-decoration-skip-ink: auto;
	color: $black80;
	background-color: #fff;
}

a {
	color: $link;
	text-decoration: none;

	&:hover,
	&:focus {
		color: $link_hover;
	}
}

.color-inherit {
	&:hover,
	&:focus {
		color: inherit !important;
	}
}

.block {
	margin-bottom: $space;
}

.block-half {
	margin-bottom: ($space / 2);
}

.header-container {
	width: 100%;
	margin: 0 auto;

	@media #{$medium} {
		width: 100%;
	}
}

.container {
	max-width: 960px;
	width: 92%;
	margin: 0 auto;
	// padding: 0 30px;

	@media #{$medium} {
		// padding: 0 300px;
		width: 94%;
	}

	@media #{$extra_large} {
		// max-width: 1280px;
	}
}

.container--small {
	// max-width: 450px;

	@media #{$extra_large} {
		// max-width: 450px;
	}
}

.main {
	padding-top: 100px;

	@media #{$medium} {
		padding-top: 120px;
	}
}

.main--pushed {
	margin-left: 0px;
	@media #{$medium} {
		margin-left: 215px;
	}
}

.page-enter-active,
.page-leave-active {
	opacity: 1;
	transition: opacity 0.2s;
	will-change: opacity;
}

.page-enter,
.page-leave-to {
	opacity: 0;
}

.font-firm {
	font-family: 'Fira Mono', monospace;
}

.code-container {
	display: block;
    overflow-x: auto;
    background: #efecf4;
    color: #585260;
    padding: 0.5em;
}